Remove tags from an investment transaction

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
DELETE /financial-data/investment-transaction/{investmentTransactionId}/tags

Removes the given tags (by name or id) from an investment transaction in the case and returns the transaction's core fields (date, type, name, amount) and tags after the change. Returns 400 if any of them is not on the investment transaction. On a case shared with opposing counsel, attachedTags leave out tags the other side added by hand.

Path parameters

  • investmentTransactionId string Required

    Investment transaction ID

application/json

Body Required

  • caseId string Required

    Case ID this transaction belongs to.

  • tagNames array[string] Required

    Array of tag names or tag IDs to remove.

    At least 1 but not more than 100 elements.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • id string
      • financialAccountId string
      • date string(date-time)
      • type string
      • subtype string
      • name string
      • amount number
      • createdAt string(date-time)
      • updatedAt string(date-time)
      • tags array[object]
        Hide tags attributes Show tags attributes object
        • id string Required
        • name string Required
      • attachedTags array[object]
        Hide attachedTags attributes Show attachedTags attributes object
        • tagId string Required

          Tag id (Tag._id)

        • tag string Required

          Tag display name (Tag.name)

        • addedBy string Required

          Values are user, ai, auto, auto-import, system, or default.

        • addedById string | null
        • removedAt string(date-time) | null
        • removedBy string | null

          Values are user, ai, auto, auto-import, system, or default.

        • removedById string | null
    • statusCode number Required
    • timestamp string(date-time) Required
DELETE /financial-data/investment-transaction/{investmentTransactionId}/tags
curl \
 --request DELETE 'http://api.example.com/financial-data/investment-transaction/{investmentTransactionId}/tags' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "caseId": "string",
  "tagNames": [
    "string"
  ]
}'
Request examples
{
  "caseId": "string",
  "tagNames": [
    "string"
  ]
}
Response examples (200)
{
  "data": {
    "id": "string",
    "financialAccountId": "string",
    "date": "2026-05-04T09:42:00Z",
    "type": "string",
    "subtype": "string",
    "name": "string",
    "amount": 42.0,
    "createdAt": "2026-05-04T09:42:00Z",
    "updatedAt": "2026-05-04T09:42:00Z",
    "tags": [
      {
        "id": "65a1b2c3d4e5f6a7b8c9d0a1",
        "name": "Responsive"
      }
    ],
    "attachedTags": [
      {
        "tagId": "507f1f77bcf86cd799439011",
        "tag": "Important",
        "addedBy": "user",
        "addedById": "507f1f77bcf86cd799439012",
        "removedAt": "2026-05-04T09:42:00Z",
        "removedBy": "user",
        "removedById": "string"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}